Loading ...
Sorry, an error occurred while loading the content.
 

Re: Latest mod_perl version number

Expand Messages
  • Stas Bekman
    ... That means that you still run an old build. If you check mod_perl-1.26 it also has MP_APACHE_VERSION 1.27 , which is a version of the file Apache.pm.
    Message 1 of 2 , Sep 30, 2003
      Javier Alvarado wrote:
      > Hello,
      >
      > I was trying to build Apache 1.3.28 with mod_perl 1.28, which I
      > downloaded from http://perl.apache.org/dist/mod_perl-1.28.tar.gz. I
      > managed to build everything okay, but I noticed that Apache reports
      > mod_perl as version 1.27 in the error log:
      >
      > [notice] Apache/1.3.28 (Unix) mod_perl/1.27 ...
      >
      > grepping though the source in mod_perl-1.28/ revealed this:
      >
      > ./src/modules/perl/mod_perl.c:#define MP_APACHE_VERSION "1.27"
      > ./Apache/Apache.pm: $VERSION = "1.27";
      >
      > Did someone forget to increase the version number or is something else
      > screwing me up?

      That means that you still run an old build. If you check mod_perl-1.26 it also
      has MP_APACHE_VERSION "1.27", which is a version of the file Apache.pm.

      mod_perl 1.x does:

      ap_add_version_component(MOD_PERL_STRING_VERSION);

      which is created during the build's config phase:

      Makefile.PL:#define MOD_PERL_STRING_VERSION "mod_perl/$VERSION"

      and it uses $mod_perl::VERSION from lib/mod_perl.pm, which has a correct 1.28
      version.


      __________________________________________________________________
      Stas Bekman JAm_pH ------> Just Another mod_perl Hacker
      http://stason.org/ mod_perl Guide ---> http://perl.apache.org
      mailto:stas@... http://use.perl.org http://apacheweek.com
      http://modperlbook.org http://apache.org http://ticketmaster.com
    Your message has been successfully submitted and would be delivered to recipients shortly.